> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openformat.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Transaction and Wait

> Execute transaction and wait for confirmation

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": "success",
    "transactionHash": "0xd6c495a1e4c121aead3888f10fc174fd9acfa71c639bb2fe6fc94e47ae5e815a",
    "blockExplorerUrl": "https://mumbai.polygonscan.com/tx/0xd6c495a1e4c121aead3888f10fc174fd9acfa71c639bb2fe6fc94e47ae5e815a",
    "receipt": {
      "_type": "TransactionReceipt",
      "blockHash": "0xa7e8812cd44c01afa0c0ffca1a4bacebd957ed62196570f75868d513601fddf5",
      "blockNumber": 2,
      "contractAddress": null,
      "cumulativeGasUsed": "73602",
      "from": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
      "gasPrice": "3517925438",
      "blobGasUsed": null,
      "blobGasPrice": null,
      "gasUsed": "73602",
      "hash": "0xa84276e7fb8b3fb9387d3e8bc58a96949028788d1e362f294c81818275e17c9f",
      "index": 0,
      "logs": [],
      "logsBloom": "0x00...000000",
      "status": 1,
      "to": "0x9716FB655f2A72b1FC1B4DB02B8ad20b6747442A"
    }
  }
  ```

  ```json 200 - Timeout theme={null}
  {
    "status": "failed",
    "error": "Timeout",
    "transactionHash": "0xd6c495a1e4c121aead3888f10fc174fd9acfa71c639bb2fe6fc94e47ae5e815a",
    "blockExplorerUrl": "https://mumbai.polygonscan.com/tx/0xd6c495a1e4c121aead3888f10fc174fd9acfa71c639bb2fe6fc94e47ae5e815a",
  }
  ```

  ```json 400 theme={null}
  {
    "error": {
      "issues": [
        {
          "code": "invalid_type",
          "path": [
            "some_field"
          ],
          "message": "Required"
        }
      ]
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml post /transactions/execute-and-wait
openapi: 3.0.0
info:
  version: 0.1.0
  title: Openformat API
servers:
  - url: https://api.openformat.tech/v1
    description: Live server
security:
  - ApiKeyAuth: []
paths:
  /transactions/execute-and-wait:
    post:
      tags:
        - Transactions
        - confirmation
      description: Execute Transaction and wait for confirmation
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                chain:
                  type: string
                  minLength: 1
                  maxLength: 255
                  description: Blockchain network to use
                  example: arbitrum-sepolia
                signed_transaction:
                  type: string
                  minLength: 1
                  description: Signed transaction to broadcast in the blockchain
                  example: 0x02f901b4827a69......
              required:
                - chain
                - signed_transaction
      responses:
        '200':
          description: Transaction Information
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failed
                      - success
                    description: 'Response status: ''sucess'' or ''failed'''
                    example: success
                  error:
                    type: string
                    description: Error message
                    example: Timeout
                  transactionHash:
                    type: string
                    description: Hash of transaction
                    example: >-
                      0xd6c495a1e4c121aead3888f10fc174fd9acfa71c639bb2fe6fc94e47ae5e815a
                  blockExplorerUrl:
                    type: string
                    description: URL of transaction in block explorer
                    example: >-
                      https://mumbai.polygonscan.com/tx/0xd6c495a1e4c121aead3888f10fc174fd9acfa71c639bb2fe6fc94e47ae5e815a
                  receipt:
                    nullable: true
                    description: Transaction receipt
                    example:
                      _type: TransactionReceipt
                      blockHash: >-
                        0xa7e8812cd44c01afa0c0ffca1a4bacebd957ed62196570f75868d513601fddf5
                      blockNumber: 2
                      contractAddress: null
                      cumulativeGasUsed: '73602'
                      from: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
                      gasPrice: '3517925438'
                      blobGasUsed: null
                      blobGasPrice: null
                      gasUsed: '73602'
                      hash: >-
                        0xa84276e7fb8b3fb9387d3e8bc58a96949028788d1e362f294c81818275e17c9f
                      index: 0
                      logs: []
                      logsBloom: 0x00...000000
                      status: 1
                      to: '0x9716FB655f2A72b1FC1B4DB02B8ad20b6747442A'
                required:
                  - status
                  - transactionHash
                  - blockExplorerUrl
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Error code for the field
                              example: invalid_type
                            path:
                              type: array
                              items:
                                type: string
                              description: Field with error
                              example:
                                - some_field
                            message:
                              type: string
                              description: Error message
                              example: Required
                          required:
                            - code
                            - path
                            - message
                        description: Error object with all validation issues
                    required:
                      - issues
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````